Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Services_Activate Class Reference

A class to dynamically load callback implementations in to an ORB. More...

`#include <Services_Activate.h>`

Inheritance diagram for TAO_Services_Activate:

[legend]
Collaboration diagram for TAO_Services_Activate:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Services_Activate (void)
| The destructor.
virtual TAO_Service_Callbacks * | activate_services (TAO_ORB_Core *orb)=0 throw (CORBA::SystemException)

## Detailed Description

A class to dynamically load callback implementations in to an ORB.

Many services and components of the ORB whose default behaviour needs to be changed can use this class to activate the Callback hooks. These hooks can then be called by the ORB at the right points. @ TODO

## Constructor & Destructor Documentation

TAO_Services_Activate::~TAO_Services_Activate | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

virtual TAO_Service_Callbacks* TAO_Services_Activate::activate_services | ( | TAO_ORB_Core * | orb | ) | throw (CORBA::SystemException)`[pure virtual]`

| Create and activate the service callbacks into the orb. This method cannot throw any exception, but it can return a nil object to indicate an error condition.

The documentation for this class was generated from the following files:

- Services_Activate.h
- Services_Activate.cpp